import Vue from 'vue'
import App from './App.vue'

import VueResource from 'vue-resource';
import VueRouter from 'vue-router';
Vue.use(VueResource);
Vue.use(VueRouter);

var router = new VueRouter({
  mode: 'history',
  linkActiveClass: 'active',
  routes: [{
    path: '/',
    component: App
  }]
});


Vue.http.interceptors.push((request, next)  => {
  // continue to next interceptor
  request.headers['Content-Type'] = 'multipart/form-data';
  next(function (response) {
    //console.log(response);
  }.bind(this));
});



new Vue({
  el: '#app',
  router,
  template: '<App/>',
  components: { App }
})
